Skip to content
English

Delete draft

DELETE/v1/mailboxes/{mailbox_id}/drafts/{draft_id}

Deleting a draft does not affect an email that has already been queued.

Authentication and access · Errors and retries

Request

Terminal window
curl -X DELETE 'https://adapt-mail.com/v1/mailboxes/<mailbox_id>/drafts/<draft_id>' \
-H 'Authorization: Bearer <access_token>'

Parameters

mailbox_idpathNecessarily

integer

draft_idpathNecessarily

string · uuid

X-Customer-IDheader
Option 1

string

Option 2

null

Responses

200 Successful response

application/json

object

deleted

boolean

401 Login required

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array elements

object

403 No access

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array elements

object

404 Resource not found

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array elements

object

409 State conflict

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array elements

object

422 Validation error

application/json

object

detail

array

Array elements

object

locNecessarily

array

Array elements
Option 1

string

Option 2

integer

msgNecessarily

string

typeNecessarily

string

503 Temporarily unavailable

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array elements

object